Bug#918654: libnvidia-egl-wayland1: file installation conflict with nvidia-egl-wayland-common

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Bug#918654: libnvidia-egl-wayland1: file installation conflict with nvidia-egl-wayland-common

Luca Boccassi-3
Package: libnvidia-egl-wayland1
Version: 1:1.1.1-1
Severity: serious
Tags: patch

Dear Maintainer,

nvidia-egl-wayland-common in stable and libnvidia-egl-wayland1 in
unstable both install:

/usr/share/egl/egl_external_platform.d/10_nvidia_wayland.json

https://packages.debian.org/stretch/amd64/nvidia-egl-wayland-common/filelist
https://packages.debian.org/sid/amd64/libnvidia-egl-wayland1/filelist

But the latter does not declare a Conflicts+Replaces on the latter, so
upgrading fails:

$ sudo apt install libnvidia-egl-wayland1=1:1.1.1-1+b1
Reading package lists... Done
Building dependency tree      
Reading state information... Done
The following NEW packages will be installed:
  libnvidia-egl-wayland1
0 upgraded, 1 newly installed, 0 to remove and 2 not upgraded.
Need to get 0 B/18.0 kB of archives.
After this operation, 66.6 kB of additional disk space will be used.
Selecting previously unselected package libnvidia-egl-wayland1:amd64.
(Reading database ... 438463 files and directories currently installed.)
Preparing to unpack .../libnvidia-egl-wayland1_1%3a1.1.1-1+b1_amd64.deb ...
Unpacking libnvidia-egl-wayland1:amd64 (1:1.1.1-1+b1) ...
dpkg: error processing archive /var/cache/apt/archives/libnvidia-egl-wayland1_1%3a1.1.1-1+b1_amd64.deb (--unpack):
 trying to overwrite '/usr/share/egl/egl_external_platform.d/10_nvidia_wayland.json', which is also in package nvidia-egl-wayland-common 384.130-1
Errors were encountered while processing:
 /var/cache/apt/archives/libnvidia-egl-wayland1_1%3a1.1.1-1+b1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Setting the severity to delay the migration to buster. The trivial fix
is provided on Salsa:

https://salsa.debian.org/debian/egl-wayland/merge_requests/1

--
Kind regards,
Luca Boccassi

signature.asc (499 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Bug#918654: marked as done (libnvidia-egl-wayland1: file installation conflict with nvidia-egl-wayland-common)

Debian Bug Tracking System
Your message dated Tue, 08 Jan 2019 10:34:05 +0000
with message-id <[hidden email]>
and subject line Bug#918654: fixed in egl-wayland 1:1.1.1-2
has caused the Debian Bug report #918654,
regarding libnvidia-egl-wayland1: file installation conflict with nvidia-egl-wayland-common
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact [hidden email]
immediately.)


--
918654: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=918654
Debian Bug Tracking System
Contact [hidden email] with problems

Package: libnvidia-egl-wayland1
Version: 1:1.1.1-1
Severity: serious
Tags: patch

Dear Maintainer,

nvidia-egl-wayland-common in stable and libnvidia-egl-wayland1 in
unstable both install:

/usr/share/egl/egl_external_platform.d/10_nvidia_wayland.json

https://packages.debian.org/stretch/amd64/nvidia-egl-wayland-common/filelist
https://packages.debian.org/sid/amd64/libnvidia-egl-wayland1/filelist

But the latter does not declare a Conflicts+Replaces on the latter, so
upgrading fails:

$ sudo apt install libnvidia-egl-wayland1=1:1.1.1-1+b1
Reading package lists... Done
Building dependency tree      
Reading state information... Done
The following NEW packages will be installed:
  libnvidia-egl-wayland1
0 upgraded, 1 newly installed, 0 to remove and 2 not upgraded.
Need to get 0 B/18.0 kB of archives.
After this operation, 66.6 kB of additional disk space will be used.
Selecting previously unselected package libnvidia-egl-wayland1:amd64.
(Reading database ... 438463 files and directories currently installed.)
Preparing to unpack .../libnvidia-egl-wayland1_1%3a1.1.1-1+b1_amd64.deb ...
Unpacking libnvidia-egl-wayland1:amd64 (1:1.1.1-1+b1) ...
dpkg: error processing archive /var/cache/apt/archives/libnvidia-egl-wayland1_1%3a1.1.1-1+b1_amd64.deb (--unpack):
 trying to overwrite '/usr/share/egl/egl_external_platform.d/10_nvidia_wayland.json', which is also in package nvidia-egl-wayland-common 384.130-1
Errors were encountered while processing:
 /var/cache/apt/archives/libnvidia-egl-wayland1_1%3a1.1.1-1+b1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Setting the severity to delay the migration to buster. The trivial fix
is provided on Salsa:

https://salsa.debian.org/debian/egl-wayland/merge_requests/1

--
Kind regards,
Luca Boccassi
Source: egl-wayland
Source-Version: 1:1.1.1-2

We believe that the bug you reported is fixed in the latest version of
egl-wayland, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to [hidden email],
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Timo Aaltonen <[hidden email]> (supplier of updated egl-wayland package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing [hidden email])


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 08 Jan 2019 12:04:34 +0200
Source: egl-wayland
Binary: libnvidia-egl-wayland-dev libnvidia-egl-wayland1
Architecture: source
Version: 1:1.1.1-2
Distribution: unstable
Urgency: medium
Maintainer: Timo Aaltonen <[hidden email]>
Changed-By: Timo Aaltonen <[hidden email]>
Description:
 libnvidia-egl-wayland-dev - Wayland EGL External Platform library -- development files
 libnvidia-egl-wayland1 - Wayland EGL External Platform library -- shared library
Closes: 918653 918654
Changes:
 egl-wayland (1:1.1.1-2) unstable; urgency=medium
 .
   * control: Fix Conflicts/Replaces. (Closes: #918653, #918654)
Checksums-Sha1:
 73719d7248540abc4e11e8b54d363f67ead23731 2069 egl-wayland_1.1.1-2.dsc
 d35b39398eda8511d5effed0f353ce5b6973ace4 2500 egl-wayland_1.1.1-2.debian.tar.xz
 050a6ee16e48516fdc25bc27c96a1b0e21affb15 6717 egl-wayland_1.1.1-2_source.buildinfo
Checksums-Sha256:
 2ebfb9fed4150a9cd114e1c1f0a4c04c5a253b07821eae5347981fc60ac0c739 2069 egl-wayland_1.1.1-2.dsc
 b6cc114c64d39b3ec38ef2b9397666829e491f634b06aa79720949907ffa6fd4 2500 egl-wayland_1.1.1-2.debian.tar.xz
 1362ec5dad567c1d523d4100b1ab158cb9448caba43b7fe57a0cc2a42fb79f3d 6717 egl-wayland_1.1.1-2_source.buildinfo
Files:
 dabc1b7faa497bc86c6f176768381e4f 2069 libs optional egl-wayland_1.1.1-2.dsc
 9603dfc9cef18666e412ba5cf92ff038 2500 libs optional egl-wayland_1.1.1-2.debian.tar.xz
 ec00736d356ee3eec7da37dced890080 6717 libs optional egl-wayland_1.1.1-2_source.buildinfo

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEdS3ifE3rFwGbS2Yjy3AxZaiJhNwFAlw0dcgACgkQy3AxZaiJ
hNxEjA//WNfWGcYgHhnO92Zgxvi8LJzShGtjuYM2qqR3m+Nfkjq44bqFlOQmVysp
KybN9gAOBDk8nTreMkZIg9DCj7hAgVG0wkFYyff7qyfW4EfMBsxWeNrFKXz51xA4
yGodXmSxt8GLUSK0Xr/1JrmS8Fl6cVfLlT/CHR9uhatT0Zbex9BRQdjG+UbjZ8u7
M+Efogv5oDIM1RigRLmJVGb6VhNhwY/U63ncsHQO1Bb2sYoHrgmsStyA9xTVUQMg
lcAXe/bO9I/rcsoKfZN7Yr/RABTNwS9rO57BCuzJJf5BL/rhwLGJwyqcAQDuaVj0
3w/tLk87RGivaEFtdTnlRXOgLwIvji7Y0SgmXMcgNSToC4JPZCadKFfMHhfPMbol
gxtZPrucM3IU+bBzGWlcs+4n9UkDtwr6MwUGA4xEfjt2e42b4eWbVCc5GB3Yx7Y9
Q/NPGboxyXZIehsvVufArxx+/Z98n4mAuozDu/trLjWBuUzJK+Q2HyzhH625U6bZ
9Eg5a3aAW0JCiCV6v92iwubXCvB84IIWRq6Pe1BFTV4v6XoR7btKJ8Y9lgPsx53H
hUG0W/37azvc/A1xCff9z6pj3Ze8nUjSm4PSVOnT5vqN3rKUx4l5d0/SALyPp9xY
I+o9QIFkXQkU9bYT6IiLfcrORTaKl/saHrIThb3EuZ0fGxJMJR4=
=QlL9
-----END PGP SIGNATURE-----

signature.asc (499 bytes) Download Attachment